#include <iostream>
using namespace std;

int main()
{
    long long v;
    cin >> v;
     
     int br = 0;
     while(v > 0){
         int cifra = v ÷ 10;
         v /= 10;
         if(cifra == 0) continue;
         if(cifra == 1 || cifra == 2 || cifra == 5) br += 1;
         else if(cifra == 3 || cifra == 4 || cifra == 6 || cifra == 7) br+= 2;
         else if(cifra == 8) br += 3;
         else br += 4;
     }
     cout << br;
     return 0;
}